当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Mplayer无法播放视频
帖子发表于 : 2013-02-08 11:02 

注册: 2007-09-22 21:49
帖子: 296
送出感谢: 3
接收感谢: 0 次
今天新安装的Linux mint 14 ,现在居然无法播放视频文件:尝试修复mplayer

代码:
 sudo apt-get install mplayer
[sudo] password for alertsniper:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
 mplayer : 依赖: libmpg123-0 (>= 1.13.7) 但是 1.12.1-3.2ubuntu1 正要被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

:em06 根本就看不明白这是什么意思
然后
代码:
sudo apt-get install libmpg123-0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
libmpg123-0 已经是最新的版本了。
libmpg123-0 被设置为手动安装。
升级了 0 个软件包,新安装了 0 个软件包, 要卸载 0 个软件包,有 5 个软件包未被升级。

这个也没用.........
这是今天早上重做的系统,之前的Linux mint 14完全可以很流畅地播放视频文件的,想不明白原因,驱动也安装了

尝试更新源,换回原来的源:
代码:
sudo apt-get install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
将会安装下列额外的软件包:
  apport apport-hooks-medibuntu apport-symptoms esound-common libaudiofile1
  libesd0 libsvga1 python3-apport python3-problem-report
建议安装的软件包:
  apport-gtk apport-kde pulseaudio-esound-compat mplayer-doc netselect fping
  python3-launchpadlib
下列软件包将被【卸载】:
  mplayer2
下列【新】软件包将被安装:
  apport apport-hooks-medibuntu apport-symptoms esound-common libaudiofile1
  libesd0 libsvga1 mplayer python3-apport python3-problem-report
升级了 0 个软件包,新安装了 10 个软件包, 要卸载 1 个软件包,有 271 个软件包未被升级。
需要下载 3,511 kB 的软件包。
解压缩后会消耗掉 5,351 kB 的额外空间。
您希望继续执行吗?[Y/n] Y
获取:1 http://packages.medibuntu.org/ quantal/non-free mplayer i386 2:1.0~rc4.dfsg1+svn34540-1+medibuntu2 [2,830 kB]
获取:2 http://archive.ubuntu.com/ubuntu/ quantal/main libaudiofile1 i386 0.3.4-1 [86.6 kB]
获取:3 http://archive.ubuntu.com/ubuntu/ quantal/main esound-common all 0.2.41-10build4 [9,976 B]
获取:4 http://archive.ubuntu.com/ubuntu/ quantal/main libesd0 i386 0.2.41-10build4 [19.7 kB]
获取:5 http://archive.ubuntu.com/ubuntu/ quantal/universe libsvga1 i386 1:1.4.3-33 [289 kB]
获取:6 http://archive.ubuntu.com/ubuntu/ quantal-updates/main python3-problem-report all 2.6.1-0ubuntu10 [9,444 B]
获取:7 http://archive.ubuntu.com/ubuntu/ quantal-updates/main python3-apport all 2.6.1-0ubuntu10 [85.0 kB]
获取:8 http://archive.ubuntu.com/ubuntu/ quantal-updates/main apport all 2.6.1-0ubuntu10 [165 kB]
获取:9 http://archive.ubuntu.com/ubuntu/ quantal/main apport-symptoms all 0.19 [14.0 kB]
获取:10 http://packages.medibuntu.org/ quantal/free apport-hooks-medibuntu all 2 [2,442 B]
下载 3,511 kB,耗时 34秒 (102 kB/s)                                           
Selecting previously unselected package libaudiofile1:i386.
(正在读取数据库 ... 系统当前共安装有 166199 个文件和目录。)
正在解压缩 libaudiofile1:i386 (从 .../libaudiofile1_0.3.4-1_i386.deb) ...
Selecting previously unselected package esound-common.
正在解压缩 esound-common (从 .../esound-common_0.2.41-10build4_all.deb) ...
Selecting previously unselected package libesd0:i386.
正在解压缩 libesd0:i386 (从 .../libesd0_0.2.41-10build4_i386.deb) ...
Selecting previously unselected package libsvga1:i386.
正在解压缩 libsvga1:i386 (从 .../libsvga1_1%3a1.4.3-33_i386.deb) ...
正在处理用于 man-db 的触发器...
dpkg: mplayer2: dependency problems, but removing anyway as you requested:
 gnome-mplayer 依赖于 mplayer2 | mplayer;然而:
  即将删除 mplayer2。
  未安装软件包 mplayer。
  提供了 mplayer 的软件包 mplayer2 即将被删除。
 gnome-mplayer 依赖于 mplayer2 | mplayer;然而:
  即将删除 mplayer2。
  未安装软件包 mplayer。
  提供了 mplayer 的软件包 mplayer2 即将被删除。
 smplayer 依赖于 mplayer;然而:
  未安装软件包 mplayer。
  提供了 mplayer 的软件包 mplayer2 即将被删除。

(正在读取数据库 ... 系统当前共安装有 166247 个文件和目录。)
正在卸载 mplayer2 ...
正在处理用于 mime-support 的触发器...
正在处理用于 man-db 的触发器...
Selecting previously unselected package mplayer.
(正在读取数据库 ... 系统当前共安装有 166242 个文件和目录。)
正在解压缩 mplayer (从 .../mplayer_2%3a1.0~rc4.dfsg1+svn34540-1+medibuntu2_i386.deb) ...
正在处理用于 man-db 的触发器...
正在处理用于 mime-support 的触发器...
正在设置 libaudiofile1:i386 (0.3.4-1) ...
正在设置 esound-common (0.2.41-10build4) ...
正在设置 libesd0:i386 (0.2.41-10build4) ...
正在设置 libsvga1:i386 (1:1.4.3-33) ...
正在设置 mplayer (2:1.0~rc4.dfsg1+svn34540-1+medibuntu2) ...
正在处理用于 libc-bin 的触发器...
ldconfig deferred processing now taking place
Selecting previously unselected package python3-problem-report.
(正在读取数据库 ... 系统当前共安装有 166283 个文件和目录。)
正在解压缩 python3-problem-report (从 .../python3-problem-report_2.6.1-0ubuntu10_all.deb) ...
Selecting previously unselected package python3-apport.
正在解压缩 python3-apport (从 .../python3-apport_2.6.1-0ubuntu10_all.deb) ...
Selecting previously unselected package apport.
正在解压缩 apport (从 .../apport_2.6.1-0ubuntu10_all.deb) ...
Selecting previously unselected package apport-hooks-medibuntu.
正在解压缩 apport-hooks-medibuntu (从 .../apport-hooks-medibuntu_2_all.deb) ...
Selecting previously unselected package apport-symptoms.
正在解压缩 apport-symptoms (从 .../apport-symptoms_0.19_all.deb) ...
正在处理用于 ureadahead 的触发器...
ureadahead will be reprofiled on next reboot
正在处理用于 shared-mime-info 的触发器...
正在处理用于 man-db 的触发器...
正在处理用于 hicolor-icon-theme 的触发器...
正在设置 python3-problem-report (2.6.1-0ubuntu10) ...
正在设置 python3-apport (2.6.1-0ubuntu10) ...
正在设置 apport (2.6.1-0ubuntu10) ...
apport start/running
正在设置 apport-symptoms (0.19) ...
正在处理用于 ureadahead 的触发器...
正在设置 apport-hooks-medibuntu (2) ...


还是不行........

越来月搞不明白了


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 11:44 

注册: 2007-09-22 21:49
帖子: 296
送出感谢: 3
接收感谢: 0 次
刚才试了一下 Banshee和totem (电影播放机)都可以打开视频文件


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 12:45 
头像

注册: 2008-07-24 11:33
帖子: 4793
地址: 郑州
送出感谢: 4
接收感谢: 92
如何无法播放?什么错误?


_________________
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~


页首
 用户资料  
 
4 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 13:39 
头像

注册: 2011-06-07 14:20
帖子: 3866
系统: Mint18
送出感谢: 17
接收感谢: 65
你要么装mplayer,要么装mplayer2,二者只可存在一个。
smplayer现在默认依赖的是mplayer2,建议你卸载mplayer,安装mplayer2


_________________
wiki: ubuntu 技巧


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 18:13 

注册: 2007-09-22 21:49
帖子: 296
送出感谢: 3
接收感谢: 0 次
cuihao 写道:
如何无法播放?什么错误?

点了文件之后没有任何反应
在smplayer里面提示无法识别的mplayer版本


页首
 用户资料  
 
6 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 18:56 

注册: 2007-09-22 21:49
帖子: 296
送出感谢: 3
接收感谢: 0 次
b33e 写道:
你要么装mplayer,要么装mplayer2,二者只可存在一个。
smplayer现在默认依赖的是mplayer2,建议你卸载mplayer,安装mplayer2

尝试卸掉mplayer还是有这个问题,现在只好重做了系统.......


页首
 用户资料  
 
7 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-08 20:38 
头像

注册: 2008-07-24 11:33
帖子: 4793
地址: 郑州
送出感谢: 4
接收感谢: 92
……别啥错误都重装系统额。


_________________
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~


页首
 用户资料  
 
8 楼 
 文章标题 : Re: Mplayer无法播放视频
帖子发表于 : 2013-02-09 1:00 
头像

注册: 2005-08-14 21:55
帖子: 58428
地址: 长沙
送出感谢: 4
接收感谢: 274
源混乱了。或者源的依赖胡乱了。
packages.medibuntu.org 先去掉。破损的软件,强制卸载。然后update试试吧。


_________________
● 鸣学


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译